<?php

namespace Intergo\VerifyClient;

use Intergo\BaseClient\ApiHandler;
use Intergo\BaseClient\Enums\HttpMethodEnum;

class VerifierApiHandler extends ApiHandler
{
    protected static $endpoints = [
        ############################################### APPLICATIONS ###############################################
        'getApplication' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/applications/:id'],
        'getApplications' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/applications'],
        'storeApplication' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/applications'],
        'updateApplication' => [self::METHOD => HttpMethodEnum::PUT, self::URL => '/applications/:id'],
        'deleteApplication' => [self::METHOD => HttpMethodEnum::DELETE, self::URL => '/applications/:id'],
        ########################################### APPLICATION SETTINGS ###########################################
        'getApplicationSetting' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/application-settings'],
        'storeApplicationSetting' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/application-settings'],
        'updateApplicationSetting' => [self::METHOD => HttpMethodEnum::PUT, self::URL => '/application-settings/:id'],
        'deleteApplicationSetting' => [self::METHOD => HttpMethodEnum::DELETE, self::URL => '/application-settings/:id'],
        ############################################# BILLING SETTINGS #############################################
        'getBillingSetting' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/billing-settings'],
        'storeBillingSetting' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/billing-settings'],
        'updateBillingSetting' => [self::METHOD => HttpMethodEnum::PUT, self::URL => '/billing-settings/:id'],
        'deleteBillingSetting' => [self::METHOD => HttpMethodEnum::DELETE, self::URL => '/billing-settings/:id'],
        ################################################ TEMPLATES #################################################
        'getTemplate' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/templates/:id'],
        'getTemplates' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/templates'],
        'storeTemplate' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/templates'],
        'updateTemplate' => [self::METHOD => HttpMethodEnum::PUT, self::URL => '/templates/:id'],
        'deleteTemplate' => [self::METHOD => HttpMethodEnum::DELETE, self::URL => '/templates/:id'],
        ############################################## VERIFICATIONS ###############################################
        'create' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/verifications/create'],
        'confirm' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/verifications/confirm'],
        'cancel' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/verifications/cancel'],
        'status' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/verifications/status/:id'],
    ];

}